#pragma once
#ifndef LOGIN_H
#define LOGIN_H

#include <QMainWindow>
#include "gen_interface.h"
namespace Ui {
class Login;
}

class Login : public QMainWindow
{
    Q_OBJECT

public:
    explicit Login(QWidget *parent = nullptr);
    ~Login();

    void initForm();
    void setChineseMode(QMainWindow *Login);
private slots:
    void on_SinginButton_clicked();
    void onUserNameChanged(const QString &userName);

    void on_ExitButton_clicked();

private:
    Ui::Login *ui;
    Gen_Interface gen_if;
};

#endif // LOGIN_H
